Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QListBoxPixmap Class Reference

The QListBoxPixmap class provides list box items with a pixmap and optional text. More...

    #include <QListBoxPixmap>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code.

Inherits QListBoxItem.

- List of all members, including inherited members

### Public Functions

- QListBoxPixmap ( QListBox * listbox, const QPixmap & pixmap )
- QListBoxPixmap ( const QPixmap & pixmap )
- QListBoxPixmap ( QListBox * listbox, const QPixmap & pixmap, QListBoxItem * after )
- QListBoxPixmap ( QListBox * listbox, const QPixmap & pix, const QString & text )
- QListBoxPixmap ( const QPixmap & pix, const QString & text )
- QListBoxPixmap ( QListBox * listbox, const QPixmap & pix, const QString & text, QListBoxItem * after )
- ~QListBoxPixmap ()
- virtual int height ( const QListBox * lb ) const
- virtual const QPixmap * pixmap () const
- virtual int width ( const QListBox * lb ) const

- 14 public functions inherited from QListBoxItem

### Protected Functions

- virtual void paint ( QPainter * painter )

- 3 protected functions inherited from QListBoxItem

## Detailed Description

The QListBoxPixmap class provides list box items with a pixmap and optional text.

Items of this class are drawn with the pixmap on the left with the optional text to the right of the pixmap.

See also QListBox and QListBoxItem.

## Member Function Documentation

### QListBoxPixmap::QListBoxPixmap ( QListBox * listbox, const QPixmap & pixmap )

Constructs a new list box item in list box listbox showing the pixmap pixmap.

### QListBoxPixmap::QListBoxPixmap ( const QPixmap & pixmap )

Constructs a new list box item showing the pixmap pixmap.

### QListBoxPixmap::QListBoxPixmap ( QListBox * listbox, const QPixmap & pixmap, QListBoxItem * after )

Constructs a new list box item in list box listbox showing the pixmap pixmap. The item gets inserted after the item after, or at the beginning if after is 0.

### QListBoxPixmap::QListBoxPixmap ( QListBox * listbox, const QPixmap & pix, const QString & text )

Constructs a new list box item in list box listbox showing the pixmap pix and the text text.

### QListBoxPixmap::QListBoxPixmap ( const QPixmap & pix, const QString & text )

Constructs a new list box item showing the pixmap pix and the text to text.

### QListBoxPixmap::QListBoxPixmap ( QListBox * listbox, const QPixmap & pix, const QString & text, QListBoxItem * after )

Constructs a new list box item in list box listbox showing the pixmap pix and the string text. The item gets inserted after the item after, or at the beginning if after is 0.

### QListBoxPixmap::~QListBoxPixmap ()

Destroys the item.

### int QListBoxPixmap::height ( const QListBox * lb ) const `[virtual]`

Returns the height of the pixmap in list box lb.

Reimplemented from QListBoxItem.

See also paint() and width().

### void QListBoxPixmap::paint ( QPainter * painter ) `[virtual protected]`

Draws the pixmap using painter.

Reimplemented from QListBoxItem.

### const QPixmap * QListBoxPixmap::pixmap () const `[virtual]`

Returns the pixmap associated with the item.

Reimplemented from QListBoxItem.

### int QListBoxPixmap::width ( const QListBox * lb ) const `[virtual]`

Returns the width of the pixmap plus some margin in list box lb.

Reimplemented from QListBoxItem.

See also paint() and height().